Page MenuHomePhabricator

twlang-keyboard: reduce virtual keys for touch layout
Closed, ResolvedPublic

Description

There are (too) many virtual keys (touch-and-hold to choose) in touch layout:
TH from key T,
PH from key P,
KH from key K,
CHH from key C (POJ),
TSH from key C (TL),
and all vowels with a diacritic

Virtual keys are slow to type.
There are still many unused keys (Q,W,R,D,F,Z,X,V) available to replace them.

Event Timeline

iongchun created this task.May 25 2017, 5:37 PM

Design 1:

  • Q: KH
  • Y: OO
  • D: TH
  • F: PH
  • Z: CH/TS
  • C: CHH/TSH
  1. Split vkeys of vowels
  1. Proximity
  1. Balance: left & right
  1. Oo
  1. -
  1. ch/ts
  1. ng ph kh th chh/tsh
  1. nn

Tones

E É

É È Eh

È Ē

È E̍h

Ē Ê

Ē E

È Ē Ê E Ĕ

E É È E̍h

iongchun added a comment.EditedJun 1 2017, 9:50 PM

Tone groups:

  1. E È É Ĕ
  2. Ê Ē È E̍

Frequency analysis:
i:39(31+8) h:30(h:11+19) a:28(18+10)
n:20(ng:10.3,19.6+0.4) o:17(10+7) e:17(7.5+9.5) k:15(12+3) t:15(13+2)
g:13(g:2.4,ng:10.3) u:12(6.3+5.7) ch:11(9+2) s:10 l:8 nn:4.7 p:4.1 b:3.8
m:3.0(2.4+0.6) oo:2.9(1.5+1.4) j:1.1

Most frequent items:
ng=9.6,i=7.2,ê=7.2,ⁿ=4.7,a=4.5,ī=4.3,í=3.5,e=3.4,kh=3.0,m=2.4,g=2.4,ó=2.3,chh=2.3
Best additional keys: ng(10.3),a2(10),i2(8),e1(7.5),o2(7),u2(5.7),kh(3.0),chh(2.3)

POJ:

Ê   E   T   Ū   U   I    Ī   O  Ō   P
   Â  A   S   -   G   H   J  K   L
       ,  O͘   ⁿ  Ch Ng  B  N  M

TL:

Ê    E    T   Ū   U   I    Ī   O   Ō   P
   Â    A    S   -   G   H   J   K   L
          ,   nn  Ts  Ng B   N   M
iongchun added a comment.EditedJun 2 2017, 9:52 AM

Tones:

E-1: E È É Ĕ
E-2: Ê Ē È E̍

I-1: I Í Ì Ĭ
I-2: Ī Ì I̍ Î

A-1: A Á À Ă
A-2: Â Ā À A̍

U-1: U Ú Ù Ŭ
U-2: Ū Ù Û U̍

O-1: O Ó Ò Ŏ
O-2: Ō Ô Ò O̍

OO-1: O͘ Ó͘ Ò͘ Ŏ͘
OO-2: Ō͘ Ô͘ Ò͘ O̍͘

N-1: N Ǹ Ń N̆
N-2: N̄ N̂ Ǹ N̍

M-1: M (M̀ Ḿ) M̆
M-2: M̄ (M̂ M̀ M̍)

Frequency rankings:
N: N(20) N̄(0.24) N̂(0.19) Ǹ(0.17) Ń(0.09)
M: M(2.4) M̄(0.61)
OO: O͘ (0.33) Ô͘ (0.21) Ò͘ (0.17)

iongchun moved this task from Backlog to Working on the Localization board.Jun 3 2017, 3:37 PM
iongchun closed this task as Resolved.Jun 3 2017, 4:01 PM